Package Details: astah-community 7.2.0-2

Git Clone URL: https://aur.archlinux.org/astah-community.git (read-only, click to copy)
Package Base: astah-community
Description: Lightweight, easy-to-use, and free UML2.x modeler
Upstream URL: http://astah.net/editions/community
Licenses: custom
Conflicts: astah-professional, astah_community
Provides: astah_community
Submitter: phillipe
Maintainer: phillipe
Last Packager: phillipe
Votes: 35
Popularity: 0.000000
First Submitted: 2015-06-26 22:49 (UTC)
Last Updated: 2021-03-30 04:07 (UTC)

Latest Comments

Tyrant commented on 2021-09-17 10:23 (UTC)

Astah Community is no longer available (actually since 2018: https://astah.net/products/astah-community/). Installing this package fails due to a 403 error on the download:

  -> Downloading astah-community-7_2_0-1ff236.zip...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 403
==> ERROR: Failure while downloading http://cdn.change-vision.com/files/astah-community-7_2_0-1ff236.zip

phillipe commented on 2021-03-30 04:09 (UTC)

@gilka007, just update the PKBUILD with the correct dependencies. That version of Astah only works with old java versions.

gilka007 commented on 2021-03-26 18:43 (UTC)

I'm sorry, of course, but this package doesn't work correctly. When creating a diagram for the type of activity, the program freezes and that's it. I thought that only I had such a problem, a friend turned out to have exactly the same problem.

phillipe commented on 2015-11-04 23:39 (UTC)

@igord, I've just update the package with your recommended adjustments. Thanks for your support!

igord commented on 2015-11-03 12:00 (UTC)

Hi phillipe. I suggest a removal of magic part inside astah_community.xml. It is the same as for zip files and that makes problems with some of the archivers (e.g. zip files are no longer recognized in ark). Anyway, glob pattern is just enough. Thanks for this great package!

phillipe commented on 2015-03-28 04:58 (UTC)

@dsboger, The package was updated. Thanks for your support!

dsboger commented on 2015-03-28 03:42 (UTC)

Hello phillipe! Could you please add %U to the end of the Exec line in astah_community.desktop? This way we can associate .asta files with Astah in nautilus. Thanks!

phillipe commented on 2014-10-29 22:58 (UTC)

@thiagowfx, Thanks for your report. PKGBUILD updated!

thiagowfx commented on 2014-10-29 21:45 (UTC)

Updated PKGBUILD: https://gist.github.com/thiagowfx/dc590cbac7bbfa97053d

thiagowfx commented on 2014-10-29 21:32 (UTC)

v6.9.0 released

phillipe commented on 2014-01-18 02:26 (UTC)

@mssun, thanks for your report. The PKGBUILD was updated.

mssun commented on 2014-01-18 01:53 (UTC)

astah* community 6.8.0 has been released.

phillipe commented on 2014-01-12 22:35 (UTC)

@slopjong, thanks for the tip. PKGBUILD updated.

slopjong commented on 2014-01-12 20:31 (UTC)

@phillipe, please add the following lines, both install /usr/bin/astah so they're in conflict. conflicts=('astah-professional') replaces=('astah-professional')

phillipe commented on 2013-04-12 02:56 (UTC)

@Chewtoy Thanks for your report. I've updated the package and It works now.

Chewtoy commented on 2013-04-11 14:31 (UTC)

Get an error when trying to install. ~ % aurget -S astah_community searching AUR... Targets (1): astah_community-6_7_0-1 Proceed with installation? [Y/n] :: Retrieving source tarball from AUR... ######################################################################## 100.0% :: Extracting source tarball... :: Building package... error: failed to change directory ~ % This is on a fully updated (11-04-2013 at 14:42 GMT) 32bit arch.

phillipe commented on 2011-04-14 22:02 (UTC)

@DPX-Infinity Now I know why you have problem to download the package, it's because the original url from astah_community is constantly modified. So, now I put the astah_community package on my dropbox account and I fixed the java dependency. Thanks for the report.

DPX-Infinity commented on 2011-04-14 19:11 (UTC)

Hello. I think the dependency should be java-environment, not jre, since the program works fine with openjdk too. and the link doesn't work again. Thank you for the package.

phillipe commented on 2011-04-14 02:04 (UTC)

Thanks for report adrianbs. Problem fixed.

adrianbs commented on 2011-04-13 17:17 (UTC)

The script doesnt work. I think the link of the zip file has changed.